Package org.springframework.http.codec.multipart

# Class PartHttpMessageWriter

java.lang.Object
org.springframework.http.codec.LoggingCodecSupport
org.springframework.http.codec.multipart.MultipartWriterSupport
org.springframework.http.codec.multipart.PartHttpMessageWriter

All Implemented Interfaces:
  `HttpMessageWriter<Part>`

public class PartHttpMessageWriter extends MultipartWriterSupport implements HttpMessageWriter<Part>
`HttpMessageWriter` for writing with `Part`. This can be useful on the server side to write a `Flux<Part>` received from a client to some remote service.

Since:
  5.3
Author:
  Rossen Stoyanchev

## Field Summary

### Fields inherited from class org.springframework.http.codec.multipart.MultipartWriterSupport

`DEFAULT_CHARSET`

### Fields inherited from class org.springframework.http.codec.LoggingCodecSupport

`logger`

## Constructor Summary

Constructors
Constructor
Description
`PartHttpMessageWriter()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canWrite(org.springframework.core.ResolvableType elementType, MediaType mediaType)`
Whether the given object type is supported by this writer.
`reactor.core.publisher.Mono<Void>`
`write(Publisher<? extends Part> parts, org.springframework.core.ResolvableType elementType, MediaType mediaType, ReactiveHttpOutputMessage outputMessage, Map<String,Object> hints)`
Write a given stream of object to the output message.

### Methods inherited from class org.springframework.http.codec.multipart.MultipartWriterSupport

`generateBoundaryLine, generateLastLine, generateMultipartBoundary, generateNewLine, generatePartHeaders, getCharset, getMultipartMediaType, getWritableMediaTypes, setCharset`

### Methods inherited from class org.springframework.http.codec.LoggingCodecSupport

`isEnableLoggingRequestDetails, setEnableLoggingRequestDetails`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.http.codec.HttpMessageWriter

`getWritableMediaTypes, getWritableMediaTypes, write`

## Constructor Details

### PartHttpMessageWriter

public PartHttpMessageWriter()

## Method Details

### canWrite

public boolean canWrite(org.springframework.core.ResolvableType elementType, @Nullable MediaType mediaType)
Description copied from interface: `HttpMessageWriter`
Whether the given object type is supported by this writer.

Specified by:
  `canWrite` in interface `HttpMessageWriter<Part>`
Parameters:
  `elementType` - the type of object to check
  `mediaType` - the media type for the write (possibly `null`)
Returns:
  `true` if writable, `false` otherwise

### write

public reactor.core.publisher.Mono<Void> write(Publisher<? extends Part> parts, org.springframework.core.ResolvableType elementType, @Nullable MediaType mediaType, ReactiveHttpOutputMessage outputMessage, Map<String,Object> hints)
Description copied from interface: `HttpMessageWriter`
Write a given stream of object to the output message.

Specified by:
  `write` in interface `HttpMessageWriter<Part>`
Parameters:
  `parts` - the objects to write
  `elementType` - the type of objects in the stream which must have been previously checked via `HttpMessageWriter.canWrite(ResolvableType, MediaType)`
  `mediaType` - the content type for the write (possibly `null` to indicate that the default content type of the writer must be used)
  `outputMessage` - the message to write to
  `hints` - additional information about how to encode and write
Returns:
  indicates completion or error